﻿import com.macromedia.timeentry.TimeEntryData;

class com.macromedia.timeentry.Log extends mx.screens.Form {
	
	var dmTimeEntry = null;
	var taLog:mx.controls.TextArea;
	var btnClear:mx.controls.Button;
	
	/**
	  initialize class.
	*/
	function Log() {
		visible = false;
		//setup pointer to data module
		dmTimeEntry = _root.application.dmTimeEntry;
		addEventListener("load", onLoad);		
	}

	/**
	  add a new entry to the log file using the title for a heading and the content for the actual entry.
	*/
	function addNewEntry(title:String, content:String):Void {
		taLog.text = taLog.text+title+content;
	}

	/**
	  add an entry to the log file that displays the current date/time as a heading.
	*/
	function addTransaction():Void {
		taLog.text = taLog.text+
		"-------------------------------------------------------------------------------------------------\nSTART TRANSACTION - " + 
		new Date() +
		"\n-------------------------------------------------------------------------------------------------\n\n"
	}
	
	/**
	  clear the log file when the "Clear" button is pressed.
	*/
	function btnClearClickHandler(evt:Object) {
		taLog.text = "";
	}

	/**
	  initialize components that live within this form.  Setup listeners for events that I am interested in 
	  responding to within the context of the Log class.
	*/
	function onLoad(): Void {
		btnClear.addEventListener("click", function(evt: Object) { evt.target._parent.btnClearClickHandler(); } );
	}
	
}